import Vue from 'vue'
import Vuex from 'vuex'
import user from "@/store/modules/user";
import test from "@/store/modules/test";

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    count: 0
  },

  getters: {
    doubleCount: state => state.count * 2
  },

  mutations: {
    increment(state) {
      state.count++
    },

    reset(state) {
      state.count = 0
    },

    setValue(state, value) {
      state.count = value
    }
  },

  actions: {
    asyncIncrement({commit}) {
      setTimeout(() => {
        commit('increment')
      }, 1000)
    }
  },
  modules: {
    user,
    test
  }
})
